Bug 1006353 - Packstack w/ CONFIG_CEILOMETER_INSTALL=y has an error
Packstack w/ CONFIG_CEILOMETER_INSTALL=y has an error
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Havana
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 09:34 EDT by wes hayutin
Modified: 2016-04-18 02:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.36.dev1013.el6.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:06:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openstack setup log (372.94 KB, text/plain)
2013-09-10 09:34 EDT, wes hayutin
no flags Details
packstack config (11.61 KB, text/plain)
2013-09-10 09:35 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2013-09-10 09:34:34 EDT
Created attachment 796005 [details]
openstack setup log

Description of problem:

See attached install log and packstack config.

ERROR : Error during puppet run : Notice: /Stage[main]/Ceilometer::Db/Exec[ceilometer-dbsync]/returns: 2013-09-09 18:22:16.670 31785 TRACE ceilometer AttributeError: 'module' object has no attribute 'MongoClient'
Please check log file /var/tmp/packstack/20130909-175810-c6KtTt/openstack-setup.log for more information

ERROR : Error during puppet run : Notice: /Stage[main]/Ceilometer::Db/Exec[ceilometer-dbsync]/returns: 2013-09-09 18:22:16.670 31785 TRACE ceilometer AttributeError: 'module' object has no attribute 'MongoClient'
Please check log file /var/tmp/packstack/20130909-175810-c6KtTt/openstack-setup.log for more information

ESC[0;36mDebug: Finishing transaction 70060982354380ESC[0m
ESC[0;36mDebug: Received report to process from centosESC[0m
ESC[0;36mDebug: Processing report from centos with processor Puppet::Reports::StoreESC[0m

2013-09-09 18:22:58::DEBUG::sequences::48::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 46, in run
    self.function(config)
  File "/usr/lib/python2.6/site-packages/packstack/plugins/puppet_950.py", line 181, in applyPuppetManifest
    waitforpuppet(currently_running)
  File "/usr/lib/python2.6/site-packages/packstack/plugins/puppet_950.py", line 168, in waitforpuppet
    validate_puppet_logfile(log)
  File "/usr/lib/python2.6/site-packages/packstack/modules/ospluginutils.py", line 145, in validate_puppet_logfile
    raise PackStackError(message)
PackStackError: Error during puppet run : ESC[mNotice: /Stage[main]/Ceilometer::Db/Exec[ceilometer-dbsync]/returns: 2013-09-09 18:22:
16.670 31785 TRACE ceilometer AttributeError: 'module' object has no attribute 'MongoClient'ESC[0m

2013-09-09 18:22:59::ERROR::run_setup::913::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 908, in main
    _main(confFile)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 577, in _main
    runSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 554, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 90, in runAllSequences
    sequence.run(self.CONF)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 105, in run
    step.run(config=config)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 52, in run
    raise SequenceError(str(ex))
SequenceError: Error during puppet run : ESC[mNotice: /Stage[main]/Ceilometer::Db/Exec[ceilometer-dbsync]/returns: 2013-09-09 18:22:1
6.670 31785 TRACE ceilometer AttributeError: 'module' object has no attribute 'MongoClient'ESC[0m
ESC[0;36mDebug: Finishing transaction 70060982354380ESC[0m
ESC[0;36mDebug: Received report to process from centosESC[0m
ESC[0;36mDebug: Processing report from centos with processor Puppet::Reports::StoreESC[0m

2013-09-09 18:22:58::DEBUG::sequences::48::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 46, in run
    self.function(config)
  File "/usr/lib/python2.6/site-packages/packstack/plugins/puppet_950.py", line 181, in applyPuppetManifest
    waitforpuppet(currently_running)
  File "/usr/lib/python2.6/site-packages/packstack/plugins/puppet_950.py", line 168, in waitforpuppet
    validate_puppet_logfile(log)
  File "/usr/lib/python2.6/site-packages/packstack/modules/ospluginutils.py", line 145, in validate_puppet_logfile
    raise PackStackError(message)
PackStackError: Error during puppet run : ESC[mNotice: /Stage[main]/Ceilometer::Db/Exec[ceilometer-dbsync]/returns: 2013-09-09 18:22:
16.670 31785 TRACE ceilometer AttributeError: 'module' object has no attribute 'MongoClient'ESC[0m



Version-Release number of selected component (if applicable):


How reproducible:

Testing this now.. not sure atm.
Comment 1 wes hayutin 2013-09-10 09:35:14 EDT
Created attachment 796006 [details]
packstack config
Comment 2 wes hayutin 2013-09-10 09:57:04 EDT
seems to work if the packstack install is executed twice ..
Comment 3 wes hayutin 2013-09-10 22:28:06 EDT
[root@centos ~]# . keystonerc_admin 
[root@centos ~(keystone_admin)]# ceilometer-dbsync --config-file=/etc/ceilometer/ceilometer.conf
2013-09-10 22:24:44.476 27877 DEBUG ceilometer.storage [-] looking for 'mongodb' driver in 'ceilometer.storage' get_engine /usr/lib/python2.6/site-packages/ceilometer/storage/__init__.py:72
2013-09-10 22:24:44.605 27877 INFO ceilometer.storage.impl_mongodb [-] connecting to MongoDB on mongodb://localhost:27017/ceilometer
/usr/lib64/python2.6/site-packages/pymongo/mongo_client.py:343: UserWarning: database name or authSource in URI is being ignored. If you wish to authenticate to ceilometer, you must provide a username and password.
  "must provide a username and password." % (db_name,))
[root@centos ~(keystone_admin)]# cat keystonerc_admin 
export OS_USERNAME=admin
export OS_TENANT_NAME=admin
export OS_PASSWORD=redhat
export OS_AUTH_URL=http://192.168.1.221:35357/v2.0/
export PS1='[\u@\h \W(keystone_admin)]\$ '
[root@centos ~(keystone_admin)]# 

***************

ceilomter.conf

[keystone_authtoken]
auth_protocol=http
admin_user=ceilometer
admin_tenant_name=services
admin_password=redhat
auth_port=35357
auth_host=192.168.1.221

**************************
db

Mongo ceilometer db exists..
> show dbs
ceilometer	0.203125GB
local	(empty)
>
Comment 4 Ivan Chavero 2014-04-29 00:03:54 EDT
This problem does not appear in the latest version: openstack-packstack-2013.2.1-0.36.dev1013.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.